> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.useroot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.useroot.com/_mcp/server.

# List available webhook event types

GET https://api.useroot.com/api/webhooks/event-types

Returns the canonical event type strings that may be used in webhook configuration subscriptions.

Reference: https://docs.useroot.com/api-reference/webhooks-api/list-webhook-event-types

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: '[Code Generated] Root - Instant Account to Account Money Movement'
  version: 1.0.0
paths:
  /api/webhooks/event-types:
    get:
      operationId: list-webhook-event-types
      summary: List available webhook event types
      description: >-
        Returns the canonical event type strings that may be used in webhook
        configuration subscriptions.
      tags:
        - webhooksApi
      parameters:
        - name: x-api-key
          in: header
          description: >-
            RootPay API key sent in the x-api-key header. Keys are
            environment-scoped: live_* for production, test_* for sandbox.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response_list_WebhookEventTypeCatalogItem__
servers:
  - url: https://api.useroot.com
    description: Production
components:
  schemas:
    WebhookEventType:
      type: string
      enum:
        - payout.debited
        - payout.settled
        - payout.failed
        - payin.settled
        - payin.failed
        - subaccount.credit_received
      title: WebhookEventType
    WebhookEventTypeCatalogItem:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/WebhookEventType'
        description:
          type: string
      required:
        - type
        - description
      title: WebhookEventTypeCatalogItem
    Response_list_WebhookEventTypeCatalogItem__:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEventTypeCatalogItem'
        warning:
          type:
            - string
            - 'null'
      required:
        - data
      title: Response_list_WebhookEventTypeCatalogItem__
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        RootPay API key sent in the x-api-key header. Keys are
        environment-scoped: live_* for production, test_* for sandbox.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "type": "payout.debited",
      "description": "Triggered when funds are debited from the sender's account"
    },
    {
      "type": "payout.settled",
      "description": "Triggered when the payout is successfully settled to the recipient"
    },
    {
      "type": "payout.failed",
      "description": "Triggered when a payout fails during processing"
    },
    {
      "type": "payin.settled",
      "description": "Triggered when a payin is successfully settled and funds are received"
    },
    {
      "type": "payin.failed",
      "description": "Triggered when a payin fails during processing"
    },
    {
      "type": "subaccount.credit_received",
      "description": "Triggered when an inbound credit is received on a virtual subaccount"
    }
  ],
  "warning": null
}
```

**SDK Code**

```python
import requests

url = "https://api.useroot.com/api/webhooks/event-types"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.useroot.com/api/webhooks/event-types';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/webhooks/event-types"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/webhooks/event-types")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/webhooks/event-types")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/webhooks/event-types', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/webhooks/event-types");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/webhooks/event-types")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```